python-pyptlib_0.0.6-1_all.deb


Advertisement

Description

python-pyptlib - library for Tor pluggable transports written in Python

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pyptlib
Package version 0.0.6
Package release 1
Package architecture all
Package type deb
Installed size 113 B
Download size 21.10 KB
Official Mirror archive.ubuntu.com
pyptlib is a little Python library which understands the Tor pluggable
transport managed-proxy protocol. It is useful for developers writing
Tor pluggable transports in Python.

Alternatives

Package Version Architecture Repository
python-pyptlib_0.0.6-1_all.deb 0.0.6 all Ubuntu Universe
python-pyptlib - - -

Requires

Name Value
python << 2.8
python >= 2.7

Download

Type URL
Binary Package python-pyptlib_0.0.6-1_all.deb
Source Package pyptlib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pyptlib deb package:
    # sudo apt-get install python-pyptlib

Files

Path
/usr/lib/python2.7/dist-packages/pyptlib/__init__.py
/usr/lib/python2.7/dist-packages/pyptlib/client.py
/usr/lib/python2.7/dist-packages/pyptlib/client_config.py
/usr/lib/python2.7/dist-packages/pyptlib/config.py
/usr/lib/python2.7/dist-packages/pyptlib/core.py
/usr/lib/python2.7/dist-packages/pyptlib/server.py
/usr/lib/python2.7/dist-packages/pyptlib/server_config.py
/usr/lib/python2.7/dist-packages/pyptlib-0.0.6.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pyptlib-0.0.6.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/pyptlib-0.0.6.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pyptlib-0.0.6.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pyptlib/util/__init__.py
/usr/lib/python2.7/dist-packages/pyptlib/util/subproc.py
/usr/share/doc/python-pyptlib/README.rst
/usr/share/doc/python-pyptlib/TODO
/usr/share/doc/python-pyptlib/changelog.Debian.gz
/usr/share/doc/python-pyptlib/copyright
/usr/share/doc/python-pyptlib/examples/client.py
/usr/share/doc/python-pyptlib/examples/server.py
/usr/share/doc/python-pyptlib/text/API.txt.gz
/usr/share/doc/python-pyptlib/text/README.txt
/usr/share/doc/python-pyptlib/text/glossary.txt
/usr/share/doc/python-pyptlib/text/index.txt
/usr/share/doc/python-pyptlib/text/modules.txt
/usr/share/doc/python-pyptlib/text/pyptlib.txt.gz

Changelog

2014-07-18 - Jérémy Bobbio <lunar@debian.org>
pyptlib (0.0.6-1) unstable; urgency=medium
* New upstream version.
* Bump Standards-Version, no changes required.
* Rewrite non-working autopkgtest script for one based on the examples.
2013-10-03 - Jérémy Bobbio <lunar@debian.org>
pyptlib (0.0.5-1) unstable; urgency=low
* New upstream version.
2013-09-20 - Jérémy Bobbio <lunar@debian.org>
pyptlib (0.0.4-1) unstable; urgency=low
* New upstream version.
* Add watch file.
* Only run test files that actually contain tests.
* Also use autopkgtest script to run the test suite at build time.
2013-08-28 - Jérémy Bobbio <lunar@debian.org>
pyptlib (0.0.3-2) unstable; urgency=low
* Add autopkgtest support to run upstream test suite.
* Call dh_python2 to get proper Python dependencies.
2013-02-19 - Jérémy Bobbio <lunar@debian.org>
pyptlib (0.0.3-1) unstable; urgency=low
* Initial release. (Closes: #699921)

See Also

Package Description
python-pypump-doc_0.6-1_all.deb interface to the pump.io APIs (Common Documentation)
python-pypump_0.6-1_all.deb interface to the pump.io APIs (Python 2)
python-pypuppetdb_0.1.1+git080614-1_all.deb interface to the PuppetDB REST API
python-pypureomapi_0.4-1_all.deb ISC DHCP OMAPI protocol implementation in Python2
python-pypy.sandbox_5.0.1+dfsg-4_amd64.deb sandboxed PyPy interpreter
python-pyqt5.qsci_2.9.1+dfsg-4build1_amd64.deb Python bindings for QScintilla 2 with Qt 5
python-pyqt5.qtmultimedia_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's Multimedia module
python-pyqt5.qtopengl_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's OpenGL module
python-pyqt5.qtpositioning_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtPositioning module
python-pyqt5.qtquick_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtQuick module
python-pyqt5.qtsensors_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtSensors module
python-pyqt5.qtserialport_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtSerialPort module
python-pyqt5.qtsql_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's SQL module
python-pyqt5.qtsvg_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's SVG module
python-pyqt5.qtwebkit_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's WebKit module
Advertisement
Advertisement